#region Using

using Wisej.Web;

using System.IO;


using SystemWeb = System.Web.UI;

#endregion

namespace App.UI
{
    public partial class PDFViewer : UserControl
    {
        public PDFViewer()
        {
            InitializeComponent();
        }

        public void ShowPDF(string filename, string store = "")
        {
            var filePath = store == "" ? filename : store;
            if (Path.GetExtension(filePath).ToLower() == ".pdf")
            {
                var file = new FileStream(filePath, FileMode.Open, FileAccess.Read);
                var reader = new BinaryReader(file);
                var buffer = reader.ReadBytes((int)file.Length);
                var mem = new MemoryStream(buffer);
                pdfViewer1.PdfStream = mem;
                pdfViewer1.Visible = true;
            }
            else
            {
                var img = Path.GetFileName(filePath);
                htmlBox1.Html = "<img src='" + img + "' width=100% height=100%>";
                htmlBox1.Refresh(true);
                htmlBox1.Update();
                htmlBox1.Visible = true;
            }
        }

        public void ShowUrl(string url)
        {
            pdfViewer1.Update();
            pdfViewer1.PdfSource = url;
        }
    }
}