﻿
using System;
using System.IO;
using App.UI;
using Wisej.Web;

namespace WiseJApplication2
{
    public partial class Window1 : Form
    {
        private string _physicalApplicationPath;

        public Window1()
        {
            InitializeComponent();
        }

        private void Window1_Load(object sender, EventArgs e)
        {
            // Looks like we can only access System.Web.HttpContext.Current in Form_Load on app start.
            if (System.Web.HttpContext.Current != null) _physicalApplicationPath = System.Web.HttpContext.Current.Request.PhysicalApplicationPath;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            var dialog = new DialogPDF();
            dialog.SetSize(this.Size);
            var img = Path.Combine(_physicalApplicationPath, "test.jpg");
            dialog.ShowPDF("Test Image", "", "/test.jpg");
            dialog.ShowDialog();

        }
    }
}
